#pragma once

#include <span>
#include <string_view>

#include "xuartlite.h"

extern XUartLite* uart0;

void InitUarts();

// blocking
void UartSend(std::span<const std::byte> data);
inline void UartSend(std::string_view s) {
    return UartSend(std::as_bytes(std::span{s.data(), s.size()}));
}
void UartSendCrash(std::span<const std::byte> data);
inline void UartSendCrash(std::string_view s) {
    return UartSendCrash(std::as_bytes(std::span{s.data(), s.size()}));
}

void HandleUartTxFromIsr(void*, unsigned int transmitted);
